---
updatedAt: 2026-02-06T00:24:43.000Z
agentTools:
  projectIndex: https://developer.greendot.com/embedded-finance/llms.txt
---

# Gets interest rate tiers and APY for a program.

Returns a list of interest rate tiers and APY for the specified program code and optional effective date.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "BaaS APIs",
    "description": "Green Dot BaaS Partner API",
    "version": "v1",
    "x-generated-timestamp-utc": "2026-02-05T01:14:54.4774970Z"
  },
  "paths": {
    "/programs/{programCode}/productinterest": {
      "get": {
        "tags": [
          "Program"
        ],
        "summary": "Gets interest rate tiers and APY for a program.",
        "description": "Returns a list of interest rate tiers and APY for the specified program code and optional effective date.",
        "operationId": "Program_GET_GetInterestRateTiers",
        "parameters": [
          {
            "name": "X-GD-RequestId",
            "in": "header",
            "description": "The unique request identifier from the request header.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "programCode",
            "in": "path",
            "description": "The program code for which to retrieve interest rate tiers.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "effectiveDate",
            "in": "query",
            "description": "The effective date for which to retrieve interest rate tiers (optional).",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetProgramInterestRateTierResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "GetProgramInterestRateTierResponse": {
        "type": "object",
        "properties": {
          "productInterestTierRateApys": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ProductInterestTierRateApy"
            },
            "description": "Gets or sets the array of product interest tier rate and APY information.\r\nEach entry represents the interest rate and APY details for a specific product tier.",
            "nullable": true
          },
          "responseDetails": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ResponseDetail"
            },
            "description": "Required: A list of response details providing status codes, descriptions, and additional information about the result of the operation.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Represents the response containing the interest rate and APY tiers for a program's products.\r\nInherits standard response metadata and details from Gd.Bos.DataTransfer.Response.ResponseBase."
      },
      "ProductInterestTierRateApy": {
        "type": "object",
        "properties": {
          "productCode": {
            "type": "string",
            "description": "Gets or sets the product code associated with the interest rate tier.",
            "nullable": true
          },
          "purseType": {
            "type": "string",
            "description": "Gets or sets the purse type for the product.",
            "nullable": true
          },
          "interestRateTier": {
            "type": "string",
            "description": "Gets or sets the interest rate tier identifier.",
            "nullable": true
          },
          "startDate": {
            "type": "string",
            "description": "Gets or sets the start date for the interest rate tier.",
            "format": "date-time"
          },
          "endDate": {
            "type": "string",
            "description": "Gets or sets the end date for the interest rate tier, if applicable.",
            "format": "date-time",
            "nullable": true
          },
          "APY": {
            "type": "number",
            "description": "Gets or sets the annual percentage yield (APY) for the tier.",
            "format": "double"
          },
          "interestRate": {
            "type": "number",
            "description": "Gets or sets the interest rate for the tier, if applicable.",
            "format": "double",
            "nullable": true
          },
          "minimumPurseBalance": {
            "type": "number",
            "description": "Gets or sets the minimum purse balance required for this tier, if applicable.",
            "format": "double",
            "nullable": true
          },
          "maximumPurseBalance": {
            "type": "number",
            "description": "Gets or sets the maximum purse balance allowed for this tier, if applicable.",
            "format": "double",
            "nullable": true
          },
          "maxAccountInterestBalance": {
            "type": "number",
            "description": "Gets or sets the maximum account interest balance for this tier, if applicable.",
            "format": "double",
            "nullable": true
          },
          "frequency": {
            "type": "string",
            "description": "Gets or sets the frequency at which interest is applied.",
            "nullable": true
          },
          "accountBalanceType": {
            "type": "string",
            "description": "Gets or sets the type of account balance used for interest calculation.",
            "nullable": true
          },
          "maxAccountInterestType": {
            "type": "string",
            "description": "Gets or sets the type of maximum account interest.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Represents the interest rate and APY information for a product's tiered rate structure."
      },
      "ResponseDetail": {
        "type": "object",
        "properties": {
          "code": {
            "type": "integer",
            "description": "The primary status or error code for the response (e.g., 200 for success, 400 for validation error).",
            "format": "int32"
          },
          "subCode": {
            "type": "integer",
            "description": "An optional subcode providing more granular detail about the response or error.",
            "format": "int32",
            "nullable": true
          },
          "description": {
            "type": "string",
            "description": "A human-readable description of the response, error, or status.",
            "nullable": true
          },
          "url": {
            "type": "string",
            "description": "A URL linking to documentation or a web page with more information about the response code.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Represents a detailed status or error message for an API response.\r\nContains a code, optional subcode, human-readable description, and a URL for more information.\r\nUsed to provide granular feedback about the outcome of an operation, including success, warnings, or errors."
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "bearer token",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "samples-languages": [
      "csharp",
      "java",
      "python",
      "node",
      "objectivec"
    ]
  }
}
```